// SharedMemory.h

#pragma once

#include "CoverageManager.h"

using namespace System;

namespace SharedMemory {

	public ref class CoverageManagerWrapper
	{
	public:
		static int Read(int nameNumberHigh, int nameNumberLow, int size, int id)
		{
			return CoverageManager::read(nameNumberHigh, nameNumberLow, size, id);
		}

		static bool Branch(int nameNumberHigh, int nameNumberLow, int size, int id, bool value)
		{
			return CoverageManager::branch(nameNumberHigh, nameNumberLow, size, id, value);
		}

		static void Statement(int nameNumberHigh, int nameNumberLow, int size, int id)
		{
			CoverageManager::statement(nameNumberHigh, nameNumberLow, size, id);
		}
	};
}
